Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 11 Next »


MFA and Older Software

Note: After you configure MFA, your account will no longer be able to use older client software that does not support MFA. This includes:

Older Office software (Office 2010 or earlier)

SOLUTION: Upgrades to the latest Office365 installation are available for free download at http://o365.letu.edu to all LETU students, faculty and staff during their time at LETU.


Older email software including:

  • Many Android smartphone email clients
  • Any clients using POP3, IMAP or SMTP

SOLUTION:
Smartphone users are encouraged to use the Microsoft Outlook email application. The Apple iOS Email client also supports MFA.
PC users are encouraged to use LETU Webmail at http://mail.letu.edu or an updated copy of Microsoft Outlook (available for free at http://o365.letu.edu)

  • No labels